# Libervia Desktop/Mobile (Kivy)

### Copyrights

- Jérôme Poisson aka Goffi 2016-2023

## License

Libervia Desktop (Kivy) is a Libre software (Free as in "Freedom"), distributed under the
AGPL v3+ license. For the full license, please refer to the `COPYING` file.

## About

Libervia Desktop (Kivy) is a Desktop/Android frontend for the [Libervia
project](https://libervia.org). This version serves as an alternative desktop frontend,
built using the [Kivy](https://kivy.org/) framework, alongside the main Qt-based frontend.
It provides a native graphical interface optimized for touch-screen capabilities when
available and includes a split ability inspired by Blender. Although the frontend is
actively developed with a focus on GNU/Linux platforms, plans are underway to extend
support to other systems. An Android port is also in the early stages of development.

### Features

- **Chat**: Supports text-based conversations with end-to-end encryption.
- **File Sharing**: Offers the ability to share files, including peer-to-peer directory
  sharing.
- **Remote Control**: Implements XMPP Ad-Hoc commands, featuring a specialized mode for
  controlling media players via icon-based UI.
- **Contact Management**: Basic functionality for managing your contacts.
- **Blogging**: Supports basic blogging features.
- **Settings Management**: Allows users to adjust various settings of Libervia.
- **Split Screen**: Provides the capability to split the screen by dragging and dropping
  borders, enabling simultaneous view of multiple widgets.
- **Multiple Windows**: On desktop environments, users can open another window, useful for
  multi-screen setups.
- 🚧 **Audio/Video Calls** (WIP): One-to-one audio and video calling features are under
  development and will be available in future releases.

Due to its modular architecture, the frontend is built to be customizable. Some features
available in other Libervia frontends (like calendars) are not yet implemented here.

For additional information, you can refer to the [Official Website](https://libervia.org).

## Contributions

Here are the URIs you can use to publish/retrieve tickets or merge requests:

tickets: xmpp:pubsub.goffi.org?;node=org.salut-a-toi.tickets%3A0 (please use "desktop-kivy" label)
merge requests: xmpp:pubsub.goffi.org?;node=org.salut-a-toi.merge_requests%3A0 (please use "desktop-kivy" label)

Tickets and merge requests are handled by Libervia itself using XMPP.
