#!/usr//bin/env python3

#Libervia Desktop-Kivy
# Copyright (C) 2016-2021 Jérôme Poisson (goffi@goffi.org)

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from .constants import Const as C
from libervia.backend.core import log_config
import os
import sys


def do_hack():
    """work around Kivy hijacking of logs and arguments"""
    # we remove args so kivy doesn't use them
    # this is need to avoid kivy breaking QuickApp args handling
    ori_argv = sys.argv[:]
    sys.argv = sys.argv[:1]
    log_config.libervia_configure(C.LOG_BACKEND_STANDARD, C)

    os.environ["KIVY_LOG_MODE"] = "PYTHON"

    import kivy
    assert kivy # to avoid pyflakes warning

    # we restore original arguments
    sys.argv = ori_argv
